## SAR RF Get State request SAR RF Get State request |

## Functions

QmiMessageSarRfGetStateOutput * | qmi_message_sar_rf_get_state_output_ref ()
void | qmi_message_sar_rf_get_state_output_unref ()
gboolean | qmi_message_sar_rf_get_state_output_get_state ()
gboolean | qmi_message_sar_rf_get_state_output_get_result ()
void | qmi_client_sar_rf_get_state ()
QmiMessageSarRfGetStateOutput * | qmi_client_sar_rf_get_state_finish ()

## Types and Values

| QmiMessageSarRfGetStateOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageSarRfGetStateOutput

## Description

## Functions

### qmi_message_sar_rf_get_state_output_ref ()

    QmiMessageSarRfGetStateOutput *
    qmi_message_sar_rf_get_state_output_ref
                                   (QmiMessageSarRfGetStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageSarRfGetStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_sar_rf_get_state_output_unref ()

    void
    qmi_message_sar_rf_get_state_output_unref
                                   (QmiMessageSarRfGetStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageSarRfGetStateOutput. |

Since: 1.28

### qmi_message_sar_rf_get_state_output_get_state ()

    gboolean
    qmi_message_sar_rf_get_state_output_get_state
                                   (QmiMessageSarRfGetStateOutput *self,
                                    QmiSarRfState *value_state,
                                    GError **error);

Get the 'State' field from `self` .

#### Parameters

self | a QmiMessageSarRfGetStateOutput. |
value_state | a placeholder for the output QmiSarRfState, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_sar_rf_get_state_output_get_result ()

    gboolean
    qmi_message_sar_rf_get_state_output_get_result
                                   (QmiMessageSarRfGetStateOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageSarRfGetStateOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_sar_rf_get_state ()

    void
    qmi_client_sar_rf_get_state (QmiClientSar *self,
                                 gpointer unused,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a RF Get State request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_sar_rf_get_state_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientSar. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_sar_rf_get_state_finish ()

    QmiMessageSarRfGetStateOutput *
    qmi_client_sar_rf_get_state_finish (QmiClientSar *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_sar_rf_get_state()`.

#### Parameters

self | a QmiClientSar. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_sar_rf_get_state()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageSarRfGetStateOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_sar_rf_get_state_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageSarRfGetStateOutput

    typedef struct _QmiMessageSarRfGetStateOutput QmiMessageSarRfGetStateOutput;

The QmiMessageSarRfGetStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28